> ## Documentation Index
> Fetch the complete documentation index at: https://docs.azalt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Veri setlerini listele

> Organizasyonunuzda mevcut tüm veri setlerini getirir. Veri setleri, çevresel hesaplamalarda kullanılacak katsayı verilerini içerir.

**Yanıt şunları içerir**:
- Veri seti adı, açıklaması ve oluşturulma bilgileri
- Veri kaynağı ve sürüm detayları
- İçerdiği katsayı verilerine dair özet bilgiler

**Yaygın veri seti türleri**:
- Emisyon faktörleri (örn. elektrik şebekesi katsayıları)
- Dönüşüm katsayıları (örn. enerji birim dönüşümleri)
- Bölgesel çarpanlar (lokasyon bazlı hesaplamalar için)

Bu veri setleri, karbon ayak izi ve çevresel etki hesaplamaları için referans değerleri sağlar.



## OpenAPI

````yaml https://app.azalt.co/api/v1/openapi.tr.json get /datasets
openapi: 3.0.3
info:
  title: Erguvan Genel API
  version: 1.0.0
  description: Erguvan platformuna entegrasyon için REST API referansının Türkçe sürümü.
servers:
  - url: https://app.azalt.co/api/v1
security: []
tags:
  - name: Activity
    x-displayName: Aktiviteler
  - name: ActivityDefinition
    x-displayName: Aktivite Tanımları
  - name: ApiKey
    x-displayName: API Anahtarları
  - name: Dashboard
    x-displayName: Panolar
  - name: DashboardWidget
    x-displayName: Pano Bileşenleri
  - name: Dataset
    x-displayName: Veri Setleri
  - name: DatasetItem
    x-displayName: Veri Seti Öğeleri
  - name: File
    x-displayName: Dosyalar
  - name: Form
    x-displayName: Formlar
  - name: FormElement
    x-displayName: Form Öğeleri
  - name: FormElementSubmission
    x-displayName: Form Öğesi Gönderimleri
  - name: FormSite
    x-displayName: Form-Tesis İlişkilendirmeleri
  - name: FormSubmission
    x-displayName: Form Gönderimleri
  - name: Indicator
    x-displayName: Göstergeler
  - name: Organization
    x-displayName: Organizasyonlar
  - name: Site
    x-displayName: Tesisler
  - name: Target
    x-displayName: Hedefler
  - name: Unit
    x-displayName: Birimler
  - name: User
    x-displayName: Kullanıcılar
paths:
  /datasets:
    get:
      tags:
        - Dataset
      summary: Veri setlerini listele
      description: >-
        Organizasyonunuzda mevcut tüm veri setlerini getirir. Veri setleri,
        çevresel hesaplamalarda kullanılacak katsayı verilerini içerir.


        **Yanıt şunları içerir**:

        - Veri seti adı, açıklaması ve oluşturulma bilgileri

        - Veri kaynağı ve sürüm detayları

        - İçerdiği katsayı verilerine dair özet bilgiler


        **Yaygın veri seti türleri**:

        - Emisyon faktörleri (örn. elektrik şebekesi katsayıları)

        - Dönüşüm katsayıları (örn. enerji birim dönüşümleri)

        - Bölgesel çarpanlar (lokasyon bazlı hesaplamalar için)


        Bu veri setleri, karbon ayak izi ve çevresel etki hesaplamaları için
        referans değerleri sağlar.
      operationId: listDatasets
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    organizationId:
                      type: string
                      nullable: true
                    updatedAt:
                      type: string
                    DatasetItems:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          name:
                            type: string
                          description:
                            type: string
                            nullable: true
                          link:
                            type: string
                            nullable: true
                          data: {}
                          metadata: {}
                          year:
                            type: number
                            nullable: true
                          datasetId:
                            type: string
                          datasetName:
                            type: string
                        required:
                          - id
                          - name
                          - description
                          - link
                          - year
                          - datasetId
                          - datasetName
                  required:
                    - id
                    - name
                    - organizationId
                    - updatedAt
                    - DatasetItems
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````